org.eclipse.rap.rwt.client.service

## Interface ClientFileUploader

All Superinterfaces:
  ClientService, java.io.Serializable

    public interface ClientFileUploader
    extends ClientService

The ClientFileUploader service allows uploading client-side files to the server.

Since:
  2.3

### Method Summary

Methods
`void` `abort(java.lang.String uploadId)` Abort the upload with the given id.
`java.lang.String` `submit(java.lang.String url, ClientFile[] clientFiles)` Starts to upload the provided `ClientFile` to the given URL using HTTP POST.

### Method Detail

#### submit

    java.lang.String submit(java.lang.String url,
                          ClientFile[] clientFiles)

Starts to upload the provided `ClientFile` to the given URL using HTTP POST. If no files are provided, nothing happens.

Parameters:
  `url` - the URL to upload to, must not be `null` or empty
  `clientFiles` - client-side files, must not be `null`
Returns:
  the upload id that can be used to abort it.
Since:
  3.10
See Also:
  `ClientFileTransfer`

#### abort

    void abort(java.lang.String uploadId)

Abort the upload with the given id. If such upload does not exists or already finished, nothing happens.

Parameters:
  `uploadId` - the upload id returned by `submit` method.
Since:
  3.10

Copyright (c) EclipseSource and others 2002, 2019. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0